<?xml version="1.0"?>
<config>
    <modules>
        <Magekey_Partsfinder>
            <version>0.1.0</version>
        </Magekey_Partsfinder>
    </modules>

    <frontend>
        <routers>
            <partsfinder>
                <use>standard</use>
                <args>
                    <module>Magekey_Partsfinder</module>
                    <frontName>partsfinder</frontName>
                </args>
            </partsfinder>
        </routers>
    </frontend>
    <adminhtml>
        <layout>
            <updates>
                <partsfinder>
                    <file>magekey/partsfinder.xml</file>
                </partsfinder>
            </updates>
        </layout>
        <translate>
            <modules>
                <magekey_partsfinder>
                    <files>
                        <default>Magekey_Partsfinder.csv</default>
                    </files>
                </magekey_partsfinder>
            </modules>
        </translate>
    </adminhtml>

    <global>
        <models>
            <partsfinder>
                <class>Magekey_Partsfinder_Model</class>
                <resourceModel>partsfinder_resource</resourceModel>
            </partsfinder>

            <partsfinder_resource>
                <class>Magekey_Partsfinder_Model_Resource</class>
                <entities>
                    <compatibility>
                        <table>partsfinder_compatibility</table>
                    </compatibility>
                </entities>
            </partsfinder_resource>
            <catalogsearch>
                <rewrite>
                    <resource_fulltext>Magekey_Partsfinder_Model_Resource_Fulltext</resource_fulltext>
                </rewrite>
            </catalogsearch>
        </models>
        <resources>
            <partsfinder_setup>
                <setup>
                    <module>Magekey_Partsfinder</module>
                </setup>
            </partsfinder_setup>
            <partsfinder_write>
                <connection>
                    <use>core_write</use>
                </connection>
            </partsfinder_write>
            <!-- connection pour lire-->
            <partsfinder_read>
                <connection>
                    <use>core_read</use>
                </connection>
            </partsfinder_read>
        </resources>
        <blocks>
            <partsfinder>
                <class>Magekey_Partsfinder_Block</class>
            </partsfinder>
        </blocks>
        <extraconfig />
        <helpers>
            <partsfinder>
                <class>Magekey_Partsfinder_Helper</class>
            </partsfinder>
            <catalogsearch>
                <rewrite>
                    <data>Magekey_Partsfinder_Helper_Data</data>
                </rewrite>
            </catalogsearch>
        </helpers>
        <events>
            <new_vendor_product_creation>
                <observers>
                    <partsfinder_product_save>
                        <type>singleton</type>
                        <class>partsfinder/observer</class>
                        <method>newVendorProductCreation</method>
                    </partsfinder_product_save>
                </observers>
            </new_vendor_product_creation>
            <edit_vendor_product_creation>
                <observers>
                    <partsfinder_product_save>
                        <type>singleton</type>
                        <class>partsfinder/observer</class>
                        <method>editVendorProductCreation</method>
                    </partsfinder_product_save>
                </observers>
            </edit_vendor_product_creation>
        </events>
    </global>
    <default>
    </default>
</config>
